<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $current_user,$wpdb,$wpscimportfunction;

if( !$current_user->has_cap('manage_options') ) exit();

$wpscimportfunction->get_user_register_post_type();

$usergroups = get_terms([
	'taxonomy'   => 'wpsc_usergroup_data',
	'hide_empty' => false
	]);

if ($usergroups) {
	foreach ($usergroups as $usergroup) {
		wp_delete_term($usergroup->term_id, 'wpsc_usergroup_data');
	}
}

$check_tbl_company = $wpdb->get_var("SHOW TABLES LIKE '{$wpdb->prefix}wpsp_companies'");

if ($check_tbl_company) {
	
	$company =  $wpdb->get_results("select * from {$wpdb->prefix}wpsp_companies");

	foreach ($company as $comp) {
		
		$comp_users  = $wpdb->get_results("select * from {$wpdb->prefix}wpsp_company_users where cid='".$comp->id."'");
		$supervisor = $wpdb->get_results("select userid from {$wpdb->prefix}wpsp_company_users where supervisor=1 and cid='".$comp->id."'");
		
		$term = wp_insert_term( $comp->name, 'wpsc_usergroup_data' );
		if (!is_wp_error($term) && isset($term['term_id'])) {
				
			foreach($comp_users as $comp_user){
				add_term_meta ($term['term_id'], 'wpsc_usergroup_userid', $comp_user->userid);
			}
				
			foreach($supervisor as $s_id){
				add_term_meta ($term['term_id'], 'wpsc_usergroup_supervisor_id',$s_id->userid);
			}
			
			add_term_meta ($term['term_id'], 'wpsc_usergroup_category', ' ');
		}
		
	}
}


	
