<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $current_user;

if( !$current_user->has_cap('manage_options') ) exit();

?>

<div class="bootstrap-iso">
  
    <div class="row" style="margin-top:30px;">
      
      <div id="wpsc_upgrade_dialog_container" class="col-xs-12 col-sm-10 col-sm-offset-1 col-md-8 col-md-offset-2" style="background-color:#fff;padding-bottom:30px;">
        
        <h3 style="text-align:center;">Import WP Support Plus</h3>
        
        <p class="help-block" style="font-size:15px">
          This will import settings and tickets from WP Support Plus (Installed on same installation) to SupportCandy.
        </p>
        
        <p class="help-block" style="font-size:15px">
          Please note, there are feature and UI differences between SupportCandy and WP Support Plus. 
          Below are few features that is not present in SupportCandy which was available in WP Support Plus :
          <ol>
            <li>Support Button</li>
            <li>Skype Chat & Call button</li>
            <li>Category Supervisor</li>
            <li>Stick Tickets Add-on</li>
						<li>Knowledgebase Add-on. SupportCandy has <a href="https://supportcandy.net/downloads/knoledgebase-integrations/" target="_blank">Knowledgebase integrations</a> add-on which integrates with popular Knowledgebase plugins.</li>
						<li>FAQ Add-on. SupportCandy has <a href="https://supportcandy.net/downloads/faq-integrations/" target="_blank">FAQ integrations</a> add-on which integrates with popular FAQ plugins.</li>
            <li>Multiple Email Piping. In SupportCandy, you can pipe only one email account. If you want to pipe multiple email accounts, you need to forward all emails from that account to piped email account.</li>
          </ol>
        </p>
        
        <p class="help-block" style="font-size:15px">
          You are requested to test SupportCandy and if you have any questions, please contact to our support.
        </p>
        
        <p class="help-block" style="font-size:15px;color:red;">
          <b>Please note:</b> Before importing any tickets or settings from WP Support Plus, all tickets and its data in SupportCandy will be removed in order to maintain ticket ids. Also existing status, category, priority and all custom fields will be removed and then imported values are set.
        </p>
        
        <div style="text-align:center;">
          <button type="button" class="btn btn-primary" onclick="wpsp_setting_import()">Import Now</button>
        </div>
        
      </div>
    </div>
  
</div>