<?php

if (!defined('ABSPATH'))
    exit;

$labels = array(
    'name' => _x('Canned Reply', 'taxonomy general name', 'wpsp-canned-reply'),
    'singular_name' => _x('Canned Reply', 'taxonomy general name', 'wpsp-canned-reply'),
    'add_new' => __('Add New', 'wpsp-canned-reply'),
    'all_item' => __('All Items', 'wpsp-canned-reply'),
    'add_new_item' => __('Add New', 'wpsp-canned-reply'),
    'edit_item' => __('Edit Item', 'wpsp-canned-reply'),
    'new_item' => __('New Items', 'wpsp-canned-reply'),
    'view_item' => __('View Items', 'wpsp-canned-reply'),
    'search_item' => __('Search Items', 'wpsp-canned-reply'),
    'not_found' => __('No items found', 'wpsp-canned-reply'),
    'not_found_in_trash' => __('No items found in trash', 'wpsp-canned-reply'),
    'parent_item_colon' => __('Parent Item', 'wpsp-canned-reply'),
);
$args = array(
    'labels' => $labels,
    'public' => true,
    'has_archive' => true,
    'publicly_qureyable' => true,
    'query_var' => true,
    'rewrite' => true,
    'capability_type' => 'post',
    'hierarchical' => false,
    'support' => array('tittle', 'editor', 'excerpt', 'thumbnail', 'thumbnail', 'revisions')
);
register_post_type('wpsp_canned_reply', $args);

$labels = array(
    'name' => _x('Categories', 'taxonomy general name', 'wpsp-canned-reply'),
    'singular_name' => _x('Category', 'taxonomy singular name', 'wpsp-canned-reply'),
    'search_items' => __('Search Categories', 'wpsp-canned-reply'),
    'all_items' => __('All Categories', 'wpsp-canned-reply'),
    'parent_item' => __('Parent Category', 'wpsp-canned-reply'),
    'parent_item_colon' => __('Parent Category:', 'wpsp-canned-reply'),
    'edit_item' => __('Edit Category', 'wpsp-canned-reply'),
    'update_item' => __('Update Category', 'wpsp-canned-reply'),
    'add_new_item' => __('Add New Category', 'wpsp-canned-reply'),
    'new_item_name' => __('New Category Name', 'wpsp-canned-reply'),
    'menu_name' => __('Categories', 'wpsp-canned-reply')
);

$args = array(
    'hierarchical' => true,
    'labels' => $labels,
    'show_ui' => true,
    'show_admin_column' => true,
    'query_var' => true,
    'rewrite' => false
);
register_taxonomy('wpsp_canned_reply_categories', array('wpsp_canned_reply'), $args);
