<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $current_user,$wpdb,$wpscimportfunction;

if( !$current_user->has_cap('manage_options') ) exit();

$categories = $wpscimportfunction->get_wpsc_categories();

$wpsp_categories = $wpscimportfunction->get_wpsp_categories();

if ($categories) {
  foreach ($categories as $category) {
		delete_term_meta($category->term_id, 'wpsc_categories');
    wp_delete_term($category->term_id, 'wpsc_categories');
  }
}

$wpsc_custom_category_localize =  get_option('wpsc_custom_category_localize');
if(!$wpsc_custom_category_localize){
	$wpsc_custom_category_localize = array();
}

foreach ($wpsp_categories as $key => $category) {
  
  $term = wp_insert_term($category->name, 'wpsc_categories');
  if (!is_wp_error($term) && isset($term['term_id'])) {
    add_term_meta ($term['term_id'], 'wpsc_category_load_order', $category->load_order);
		$wpsc_custom_category_localize['custom_category_'.$term['term_id']] = $category->name;
		update_option('wpsc_custom_category_localize', $wpsc_custom_category_localize);	
  }
}