<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $current_user,$wpdb,$wpsupportplus,$wpscfunction,$wpscimportfunction;

if( !$current_user->has_cap('manage_options') ) exit();

$general_advanced_settings = get_option('wpsp_general_settings_advanced');
$atc_status = array();

if ($general_advanced_settings['status']) {
  
  foreach ($general_advanced_settings['status'] as $status) {
    $wpsp_status_name = $wpdb->get_var("select name from {$wpdb->prefix}wpsp_custom_status where id = " .$status."");
    $status_data = get_term_by('name',$wpsp_status_name,'wpsc_statuses');
    $atc_status[] = $status_data->term_id;
  }
  
}

update_option('wpsc_tl_statuses',array_unique($atc_status));
update_option('wpsc_atc_age',$general_advanced_settings['selected_status_ticket_close']);