<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $current_user,$wpdb,$wpsupportplus,$wpscfunction,$wpscimportfunction;

$wpsc_custom_widget_localize = get_option('wpsc_custom_widget_localize');
if(!$wpsc_custom_widget_localize){
  $wpsc_custom_widget_localize = array();
}

$ticket_widgets = get_terms([
  'taxonomy'   => 'wpsc_ticket_widget',
  'hide_empty' => false,
  'orderby'    => 'meta_value_num',
  'order'    	 => 'ASC',
  'meta_query' => array('order_clause' => array('key' => 'wpsc_ticket_widget_load_order')),
]);

foreach ($ticket_widgets as $widget) {
  $wpsc_custom_widget_localize['custom_widget_'.$widget->term_id] = get_term_meta($widget->term_id, 'wpsc_label', true);;
  update_option('wpsc_custom_widget_localize', $wpsc_custom_widget_localize);
}